<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>PySpottedUnipd: pyspottedunipd.fb.models.FacebookPost Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">PySpottedUnipd
   &#160;<span id="projectnumber">0.0.2</span>
   </div>
   <div id="projectbrief">Figure out how you can find your sweet half or how to get attention and get liked in one of the most popular @Unipd facebook pages.</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">pyspottedunipd.fb.models.FacebookPost Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for pyspottedunipd.fb.models.FacebookPost:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.png" usemap="#pyspottedunipd.fb.models.FacebookPost_map" alt=""/>
  <map id="pyspottedunipd.fb.models.FacebookPost_map" name="pyspottedunipd.fb.models.FacebookPost_map">
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a775d37bec71d912b2c80659706c1074b"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#a775d37bec71d912b2c80659706c1074b">__init__</a> (self, raw_json_api_response)</td></tr>
<tr class="separator:a775d37bec71d912b2c80659706c1074b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af7e740b3209657f39229fedd47a134ed"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#af7e740b3209657f39229fedd47a134ed">parse</a> (self)</td></tr>
<tr class="separator:af7e740b3209657f39229fedd47a134ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a437047c61683ad307ef6c62014910f3f"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#a437047c61683ad307ef6c62014910f3f">get_totals</a> (self, api_driver)</td></tr>
<tr class="separator:a437047c61683ad307ef6c62014910f3f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0740c608dbe1f95191ecb8375c7cddb9"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#a0740c608dbe1f95191ecb8375c7cddb9">to_dict</a> (self)</td></tr>
<tr class="separator:a0740c608dbe1f95191ecb8375c7cddb9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a65627d65b585eed8854f12621855e89c"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#a65627d65b585eed8854f12621855e89c">to_json</a> (self)</td></tr>
<tr class="separator:a65627d65b585eed8854f12621855e89c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a71eec66c7f775a8d6e36624147bbad1e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#a71eec66c7f775a8d6e36624147bbad1e">raw_json</a></td></tr>
<tr class="separator:a71eec66c7f775a8d6e36624147bbad1e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a417a5f89c1c55137044008ba8a5fc0ea"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#a417a5f89c1c55137044008ba8a5fc0ea">message</a></td></tr>
<tr class="separator:a417a5f89c1c55137044008ba8a5fc0ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aadbfb0d5d8b22aed178142d3979d4d3e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#aadbfb0d5d8b22aed178142d3979d4d3e">time</a></td></tr>
<tr class="separator:aadbfb0d5d8b22aed178142d3979d4d3e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f0005486a3b81f3e144054ae578c390"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#a0f0005486a3b81f3e144054ae578c390">date</a></td></tr>
<tr class="separator:a0f0005486a3b81f3e144054ae578c390"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24e01ef48936fd95a03ae767af578070"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#a24e01ef48936fd95a03ae767af578070">facebook_id</a></td></tr>
<tr class="separator:a24e01ef48936fd95a03ae767af578070"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0800672e3ab337ed26d0ad0407ade903"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#a0800672e3ab337ed26d0ad0407ade903">likes_count</a></td></tr>
<tr class="separator:a0800672e3ab337ed26d0ad0407ade903"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abbf42b5b8da83db3444ad4edc9e3bc40"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#abbf42b5b8da83db3444ad4edc9e3bc40">comments_count</a></td></tr>
<tr class="separator:abbf42b5b8da83db3444ad4edc9e3bc40"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8bd89a0ad99c511c7aa8aa87da852dd"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#af8bd89a0ad99c511c7aa8aa87da852dd">shares_count</a></td></tr>
<tr class="separator:af8bd89a0ad99c511c7aa8aa87da852dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><pre class="fragment">A standard Facebook post </pre> 
<p>Definition at line <a class="el" href="fb_2models_8py_source.html#l00169">169</a> of file <a class="el" href="fb_2models_8py_source.html">models.py</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a775d37bec71d912b2c80659706c1074b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyspottedunipd.fb.models.FacebookPost.__init__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>raw_json_api_response</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">:param raw_json_api_response: str in json format
    Standard format coming out of the official API
</pre> 
<p>Definition at line <a class="el" href="fb_2models_8py_source.html#l00172">172</a> of file <a class="el" href="fb_2models_8py_source.html">models.py</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a437047c61683ad307ef6c62014910f3f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyspottedunipd.fb.models.FacebookPost.get_totals </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>api_driver</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">:param api_driver: FacebookGraphApi
    API driver to use
:return: void
    Gets counts of likes and comments
</pre> 
<p>Definition at line <a class="el" href="fb_2models_8py_source.html#l00208">208</a> of file <a class="el" href="fb_2models_8py_source.html">models.py</a>.</p>

</div>
</div>
<a class="anchor" id="af7e740b3209657f39229fedd47a134ed"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyspottedunipd.fb.models.FacebookPost.parse </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">:return: void
    Parses raw json response of API and set object's fields
</pre> 
<p>Definition at line <a class="el" href="fb_2models_8py_source.html#l00190">190</a> of file <a class="el" href="fb_2models_8py_source.html">models.py</a>.</p>

</div>
</div>
<a class="anchor" id="a0740c608dbe1f95191ecb8375c7cddb9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyspottedunipd.fb.models.FacebookPost.to_dict </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">:return: dict
    Dictionary with keys (obj fields) and values (obj values)
</pre> 
<p>Definition at line <a class="el" href="fb_2models_8py_source.html#l00244">244</a> of file <a class="el" href="fb_2models_8py_source.html">models.py</a>.</p>

</div>
</div>
<a class="anchor" id="a65627d65b585eed8854f12621855e89c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyspottedunipd.fb.models.FacebookPost.to_json </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">:return: json object
    A json representation of this object
</pre> 
<p>Definition at line <a class="el" href="fb_2models_8py_source.html#l00260">260</a> of file <a class="el" href="fb_2models_8py_source.html">models.py</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a class="anchor" id="abbf42b5b8da83db3444ad4edc9e3bc40"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">pyspottedunipd.fb.models.FacebookPost.comments_count</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="fb_2models_8py_source.html#l00185">185</a> of file <a class="el" href="fb_2models_8py_source.html">models.py</a>.</p>

</div>
</div>
<a class="anchor" id="a0f0005486a3b81f3e144054ae578c390"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">pyspottedunipd.fb.models.FacebookPost.date</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="fb_2models_8py_source.html#l00182">182</a> of file <a class="el" href="fb_2models_8py_source.html">models.py</a>.</p>

</div>
</div>
<a class="anchor" id="a24e01ef48936fd95a03ae767af578070"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">pyspottedunipd.fb.models.FacebookPost.facebook_id</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="fb_2models_8py_source.html#l00183">183</a> of file <a class="el" href="fb_2models_8py_source.html">models.py</a>.</p>

</div>
</div>
<a class="anchor" id="a0800672e3ab337ed26d0ad0407ade903"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">pyspottedunipd.fb.models.FacebookPost.likes_count</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="fb_2models_8py_source.html#l00184">184</a> of file <a class="el" href="fb_2models_8py_source.html">models.py</a>.</p>

</div>
</div>
<a class="anchor" id="a417a5f89c1c55137044008ba8a5fc0ea"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">pyspottedunipd.fb.models.FacebookPost.message</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="fb_2models_8py_source.html#l00180">180</a> of file <a class="el" href="fb_2models_8py_source.html">models.py</a>.</p>

</div>
</div>
<a class="anchor" id="a71eec66c7f775a8d6e36624147bbad1e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">pyspottedunipd.fb.models.FacebookPost.raw_json</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="fb_2models_8py_source.html#l00179">179</a> of file <a class="el" href="fb_2models_8py_source.html">models.py</a>.</p>

</div>
</div>
<a class="anchor" id="af8bd89a0ad99c511c7aa8aa87da852dd"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">pyspottedunipd.fb.models.FacebookPost.shares_count</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="fb_2models_8py_source.html#l00186">186</a> of file <a class="el" href="fb_2models_8py_source.html">models.py</a>.</p>

</div>
</div>
<a class="anchor" id="aadbfb0d5d8b22aed178142d3979d4d3e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">pyspottedunipd.fb.models.FacebookPost.time</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="fb_2models_8py_source.html#l00181">181</a> of file <a class="el" href="fb_2models_8py_source.html">models.py</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/stefano/Coding/Python/projects/spotted-unipd/pyspottedunipd/fb/<a class="el" href="fb_2models_8py_source.html">models.py</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacepyspottedunipd.html">pyspottedunipd</a></li><li class="navelem"><a class="el" href="namespacepyspottedunipd_1_1fb.html">fb</a></li><li class="navelem"><a class="el" href="namespacepyspottedunipd_1_1fb_1_1models.html">models</a></li><li class="navelem"><a class="el" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html">FacebookPost</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
